For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
API StatusPartner Portal
HomeGuidesAPI ExplorerSDKsGitHubSupport
HomeGuidesAPI ExplorerSDKsGitHubSupport
  • API Concepts
    • Overview
    • Environments and URLs
    • Authentication
    • API versioning
    • Rate limiting
    • HTTP headers
    • Pagination, sorting, and filtering
  • General
  • Common
  • Accounts payable
  • Accounts receivable
  • E-invoicing
  • Payments
  • Accounting integration
  • Expense management
      • GETGet ledger accounts
      • POSTCreate a new ledger account
      • GETGet a ledger account by ID
      • DELDelete a ledger account
      • PATCHUpdate a ledger account
  • Utilities
LogoLogo
API StatusPartner Portal
Expense managementLedger accounts

Get a ledger account by ID

GET
/ledger_accounts/:ledger_account_id
GET
/v1/ledger_accounts/:ledger_account_id
$curl https://api.sandbox.monite.com/v1/ledger_accounts/ledger_account_id \
> -H "x-monite-version: 2023-09-01" \
> -H "x-monite-entity-id: 9d2b4c8f-2087-4738-ba91-7359683c49a4" \
> -H "Authorization: Bearer <token>"
1{
2 "id": "id",
3 "created_at": "2024-01-15T09:30:00Z",
4 "updated_at": "2024-01-15T09:30:00Z",
5 "is_bank_account": true,
6 "status": "Active",
7 "type": "Asset",
8 "currency": "AED",
9 "current_balance": 1,
10 "description": "description",
11 "is_external": true,
12 "name": "Accounts Receivable",
13 "nominal_code": "610",
14 "subtype": "Current"
15}
Get ledger account by id
Was this page helpful?
Previous

Delete a ledger account

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

ledger_account_idstringRequired

Headers

x-monite-versionstringRequired
x-monite-entity-idstringRequired
The ID of the entity that owns the requested resource.

Response

Successful Response
idstringformat: "uuid"
A unique identifier of the ledger account.
created_atdatetime
The timestamp when the ledger account was created.
updated_atdatetime
The timestamp when the ledger account was last updated.
is_bank_accountboolean
Indicates whether this ledger account represents a bank account.
statusstring

The status of the ledger account. Possible values: Active, Archived, Pending, Unknown.

typestring

The type of the ledger account. It determines whether the account is a credit account or a debit account and where it appears in financial reports within the accounting system. Possible values: Asset, Equity, Expense, Income, Liability, Unknown.

currencyenum

The currency of the ledger account, specified as a three-letter currency code (ISO 4217).

current_balanceinteger
The current balance in the account.
descriptionstring

User-defined description of the ledger account.

is_externalbooleanDefaults to false
Whether the ledger account is from an external system
namestring

A user-defined name of the ledger account. Examples: Accounts Receivable, Office Equipment, Advertising, Salaries.

nominal_codestring
The account code in the accounting system.
subtypestring

The subtype or category of the ledger account. Possible values vary based on the accounting system used. Examples: Current, Fixed, Expense, Inventory, Equity.

Errors

400
Get Ledger Accounts ID Request Bad Request Error
401
Get Ledger Accounts ID Request Unauthorized Error
403
Get Ledger Accounts ID Request Forbidden Error
404
Get Ledger Accounts ID Request Not Found Error
422
Get Ledger Accounts ID Request Unprocessable Entity Error
500
Get Ledger Accounts ID Request Internal Server Error